# $Revision: 1.14 $, $Date: 2002/03/03 20:20:54 $
%include	/usr/lib/rpm/macros.perl
Summary:	Make perl module
Summary(pl):	Modu perla Make
Name:		perl-Make
Version:	1.00
Release:	8
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Make/Make-%{version}.tar.gz
Patch0:		%{name}-pmake.patch
BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Make - module for processing makefiles.

%description -l pl
Make - modu do przetwarzania plikw Makefile.

%prep
%setup -q -n Make-%{version}
%patch -p1

%build
perl Makefile.PL
perl -I. pmake.pl

%install
rm -rf $RPM_BUILD_ROOT

perl -Mblib pmake.pl install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/pmake.pl
%{perl_sitelib}/Make.pm
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Make.spec,v $
Revision 1.14  2002/03/03 20:20:54  marcus
- rel.8.

Revision 1.13  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/10 15:28:23  depesz
adapterized

Revision 1.11  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.9  2001/04/17 12:12:26  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.8  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.7  2001/01/11 02:14:16  kloczek
- release 5: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:56  baggins
- translated kloczkish into english

Revision 1.3  1999/12/04 18:53:43  pius
- renamed pmake to pmake.pl to avoid conflict with BSD pmake utility
- release 4

Revision 1.2  1999/11/05 21:50:11  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
